import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

/*
Classe de test pour savoir si les rois existent avec une couleur.
 */
public class TestRoi {
    @Parameterized.Parameter
    protected Roi roiB;
    @Parameterized.Parameter
    protected Roi roiN;

    @Before
    public void setUP(){
        roiB = new Roi(Piece.BLANC);
        roiN = new Roi(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", roiB.getCoul());
        Assert.assertEquals("N", roiN.getCoul());
    }

}